import Logger from "../util/Logger";
import { Command } from "./Interface";
import fs from 'fs';
import Session from "../server/kcp/Session";
const c = new Logger("/help", "blue");

export default async function handle(command: Command, target: Session) {
    const cmds = fs.readdirSync(__dirname);
    c.log(`${cmds.length} commands available:`)

    cmds.forEach(cmd => {
        if (cmd.endsWith(".ts")) {
            const cmdName = cmd.replace(/.ts/gm, "");
            if (cmdName !== "Interface") c.trail(cmdName);
        }
    })
}