import Logger from "../util/Logger";
import Interface, { Command } from "./Interface";
import findBestMatch from "../util/stringSimilarity";
import SRServer from "../server/kcp/SRServer";
import Session from "../server/kcp/Session";
const c = new Logger("/target", "blue");

export default async function handle(command: Command, _target: Session) {

    c.log(`${SRServer.getInstance().sessions.size} clients connected`)
    SRServer.getInstance().sessions.forEach(client => {
        c.trail(`${client.ctx.address}:${client.ctx.port} ${client.account?.name} (UID: ${client.account?.uid})`)
    });
}