import { SceneEntityUpdateScNotify } from "../data/proto/StarRail";
import { Entity } from "../game/entities/Entity";
import Session from "../server/kcp/Session";
import Logger from "../util/Logger";
import { Command } from "./Interface";
const c = new Logger("/exit", "blue");

export default async function handle(command: Command, target: Session) {

    return c.log("Not implemented");

    if (!target) {
        c.log("No target specified");
        return;
    }

    const prop = parseInt(command.args[0]);
    if (isNaN(prop) || !prop) {
        c.log("Usage: /prop <propId>");
        return;
    }

    const pos = target.player.db.posData.pos;

    target.send(SceneEntityUpdateScNotify, {
        entityList: [{
            entityId: Entity.nextEntityId++,
            instId: prop,
            prop: {
                propId: prop,
            },
            motion: {
                rot: {},
                pos: {
                    x: pos.x! + 5000,
                    y: pos.y,
                    z: pos.z! + 5000,
                }
            }
        }]
    })
}