// import { BattlePassInfoNotify, BpTierType, DailyTaskDataScNotify, GetPlayerBoardDataScRsp, RaidInfoNotify, RaidStatus } from "../../data/proto/StarRail";
import { GetPlayerBoardDataScRsp } from "../../data/proto/StarRail";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    session.send(GetPlayerBoardDataScRsp, {
        currentHeadIconId: 201001, // March 7th
        displayAvatarVec: { displayAvatarList: [{ pos: 1, avatarId: 1001 }], isDisplay: true },
        unlockedHeadIconList: [{ id: 201102 }], // TODO
        signature: ""
    });

    // session.send(RaidInfoNotify, {
    //     status: RaidStatus.RAID_STATUS_DOING,
    //     raidId: 1,
    //     itemList: { itemList: [{ itemId: 1, num: 1 }] }
    // });

    // session.send(BattlePassInfoNotify, {
    //     bpTier: BpTierType.BP_TIER_TYPE_PREMIUM2,
    //     curBpId: 1,
    //     exp: 800,
    //     takenFreeReward: 16777214,
    //     takenPremiumOptionalReward: 16777214,
    //     takenPremiumReward1: 16777214,
    //     takenPremiumReward2: 16777214,
    //     level: 23,
    //     curWeekAddExpSum: 8000,
    // });
}