import { GetPunkLordDataScRsp } from "../../data/proto/StarRail";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    session.send(GetPunkLordDataScRsp, {
        retcode: 0,
        supportRefreshTime: Date.now() / 1000 + 60,
        summonLeftTimes: 10,
        supportLeftTimes: 10,
        overBonusRewardTakenTimes: 1,
        point: 101,
        takenRewardLevelList: [],
        MDKHEMIMELH: 3
    })
}