import { GetPunkLordMonsterDataScRsp, PunkLordAttackerStatus } from "../../data/proto/StarRail";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    session.send(GetPunkLordMonsterDataScRsp, {
        retcode: 0,
        monsterInfoList: [{
            attackStatus: PunkLordAttackerStatus.PUNK_LORD_ATTACKER_STATUS_ATTACKED,
            basicInfo: {},
            battleRecord: {
                battleRecordList: []
            },
            selfAttackTimes: 1
        }]
    });
}