import { SetDisplayAvatarCsReq, SetDisplayAvatarScRsp } from "../../data/proto/StarRail";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    const body = <SetDisplayAvatarCsReq>packet.body;

    session.send(SetDisplayAvatarScRsp, { retcode: 0, displayAvatarList: body.displayAvatarList });
}