import { SetGameplayBirthdayCsReq, SetGameplayBirthdayScRsp } from "../../data/proto/StarRail";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    const body = <SetGameplayBirthdayCsReq>packet.body;

    session.send(SetGameplayBirthdayScRsp, { retcode: 0, birthday: body.birthday });
}