import { SyncClientResVersionCsReq, SyncClientResVersionScRsp } from "../../data/proto/StarRail";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    // Return same as client for now
    const body = <SyncClientResVersionCsReq>packet.body;

    session.send(SyncClientResVersionScRsp, {
        resVersion: body.resVersion
    });
}