import { TutorialStatus, UnlockTutorialCsReq, UnlockTutorialScRsp } from "../../data/proto/StarRail";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    const body = <UnlockTutorialCsReq>packet.body;
    session.send(UnlockTutorialScRsp, {
        retcode: 0,
        tutorial: {
            id: body.tutorialId,
            status: TutorialStatus.TUTORIAL_UNLOCK // hmm maybe pre-finish?
        }
    });
}