import AvatarPromotionExcelTable from "../../data/excel/AvatarPromotionConfig.json";

export default class AvatarPromotionConfig {
    private constructor() { }

    public static all() {
        return Object.values(AvatarPromotionExcelTable);
    }

    public static fromId(avatarId: number, promotion: number) {
        // Some entries have promotion as undefined, when they should be 0
        const result = AvatarPromotionExcelTable.find(x => x.AvatarID === avatarId && x.Promotion === promotion);

        return !result ? AvatarPromotionExcelTable.find(x => x.AvatarID === avatarId && x.Promotion === undefined) : result;
    }
}