import AvatarSkillTreeExcelTable from "../../data/excel/AvatarSkillTreeConfig.json";

export default class AvatarSkillTreeConfig {
    private constructor() { }

    public static fromPointId(pointId: number) {
        return AvatarSkillTreeExcelTable.find(x => x.PointID === pointId);
    }

    public static fromAvatarId(avatarId: number) {
        return AvatarSkillTreeExcelTable.filter(x => x.AvatarID === avatarId && x.DefaultUnlock === true);
    }
}