import BattlePassLevelRewardExcelTable from "../../data/excel/BattlePassLevel.json";

export default class BattlePassLevel {
    private constructor() { }

    public static fromLevel(groupId: number, level: number) {
        return Object.values(BattlePassLevelRewardExcelTable).find(x => x.GroupID === groupId && x.Level === level);
    }

    public static all(groupId: number) {
        return Object.values(BattlePassLevelRewardExcelTable).filter(x => x.GroupID === groupId);
    }
}