import EquipmentExpTypeExcelTable from "../../data/excel/EquipmentExpType.json";

export default class EquipmentExpType {
    private constructor() { }

    public static all() {
        return Object.values(EquipmentExpTypeExcelTable);
    }

    public static fromId(expType: number, level: number) {
        return EquipmentExpTypeExcelTable.find(x => x.ExpType === expType && x.Level === level);
    }
}