import EquipmentPromotionExcelTable from "../../data/excel/EquipmentPromotionConfig.json";

export default class EquipmentPromotionConfig {
    private constructor() { }

    public static all() {
        return Object.values(EquipmentPromotionExcelTable);
    }

    public static fromId(tid: number, promotion: number) {
        return EquipmentPromotionExcelTable.find(x => x.EquipmentID === tid && x.Promotion === promotion);
    }
}