import Session from "../server/kcp/Session";
import Logger from "../util/Logger";
import Interface, { Command } from "./Interface";
const c = new Logger("/sync", "blue");

export default async function handle(command: Command, target: Session) {
    if (!target) {
        c.log("No target specified");
        return;
    }

    target.sync();

    c.log(`Synced ${target.account?.name}`);
}