import { Equipment, GetBagScRsp, Material, Relic } from "../../data/proto/StarRail";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    const inventory = await session.player.getInventory();

    console.debug(JSON.stringify({
        equipmentList: inventory.equipments,
        materialList: inventory.materials,
        oldMaterialList: [],
        relicList: inventory.relics,
        retcode: 0,
        rogueItemList: [],
        waitDelResourceList: []
    }, null, 2));
    session.send(GetBagScRsp, {
        equipmentList: inventory.equipments,
        materialList: inventory.materials,
        // oldMaterialList: [],
        relicList: inventory.relics,
        retcode: 0,
        rogueItemList: [],
        waitDelResourceList: []
    } as GetBagScRsp);
}