import { GetBasicInfoScRsp } from "../../data/proto/StarRail";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    session.send(GetBasicInfoScRsp, {
        curDay: 1,
        exchangeTimes: 0,
        retcode: 0,
        nextRecoverTime: BigInt(Math.round(new Date().getTime() / 1000) + 10),
        weekCocoonFinishedCount: 0,
        gameplayBirthday: 2503
    } as GetBasicInfoScRsp)
}