import { GetQuestDataScRsp, Quest, QuestStatus } from "../../data/proto/StarRail";
import QuestData from "../../util/excel/QuestData";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";


export default async function handle(session: Session, packet: Packet) {
    // Oh god
    const quests = QuestData.all();
    
    const questList: Quest[] = [];

    for (const quest of quests) {
        questList.push({
            id: quest.QuestID,
            status: QuestStatus.QUEST_CLOSE,
            finishTime: BigInt(1676102548),
            progress: 1
        });
    }

    session.send(GetQuestDataScRsp, {
        questList,
        retcode: 0,
        takenAchievementLevelList: [],
        totalAchievementExp: 69,
    } as GetQuestDataScRsp);
}