import { GetTutorialGuideScRsp, TutorialStatus } from "../../data/proto/StarRail";
import TutorialGuideData from "../../util/excel/TutorialGuideData";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    const tutorialGuideIds = TutorialGuideData.all().map(x => x.ID);

    session.send(GetTutorialGuideScRsp, {
        retcode: 0,
        tutorialGuideList: tutorialGuideIds.map(id => ({ id, status: TutorialStatus.TUTORIAL_FINISH }))
    });
}