import { ProductGiftType, QueryProductInfoScRsp } from "../../data/proto/StarRail";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    session.send(QueryProductInfoScRsp, {
        monthCardOutdateTime: BigInt(Math.round(Date.now() / 1000) + 86400 * 30),
        productList: []
    });
}