import { PunkLordAttackerStatus, SummonPunkLordMonsterScRsp } from "../../data/proto/StarRail";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    session.send(SummonPunkLordMonsterScRsp, {
        retcode: 0,
        monsterInfo: {
            attackStatus: PunkLordAttackerStatus.PUNK_LORD_ATTACKER_STATUS_ATTACKED,
            selfAttackTimes: 1,
            basicInfo: {
                
            },
            battleRecord: {
                battleRecordList: []
            }
        }
    });
}