import { TakeTalkRewardCsReq, TakeTalkRewardScRsp, NpcMeetStatus } from "../../data/proto/StarRail";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    const body = packet.body as TakeTalkRewardCsReq;

    session.send(TakeTalkRewardScRsp, {
        retcode: 0,
        talkEventId: body.talkEventId,
        reward: {
            itemList: []
        }
    });
}