import AvatarExcelTable from "../../data/excel/AvatarConfig.json";

export default class AvatarConfig {
    private constructor() { }

    public static fromId(id: number) {
        return AvatarExcelTable.find(e => e.AvatarID === id);
    }

    public static fromIds(ids: number[]){
        return ids.map(id => AvatarConfig.fromId(id));
    }

    public static all() {
        return AvatarExcelTable;
    }
}