import AvatarExpItemConfigExcelTable from "../../data/excel/AvatarExpItemConfig.json";

export default class AvatarExpItemConfig {
    private constructor() { }

    public static all() {
        return Object.values(AvatarExpItemConfigExcelTable);
    }

    public static fromId(id: number) {
        return AvatarExpItemConfigExcelTable[id];
    }

    public static fromIds(ids: number[]) {
        return ids.map(id => AvatarExpItemConfig.fromId(id));
    }
}