import CocoonExcelTable from "../../data/excel/CocoonConfig.json";

export default class CocoonConfig {
    private constructor() { }

    public static fromId(id: number, wl: number = 1) {
        return CocoonExcelTable.find(e => e.ID === id && e.WorldLevel === wl);
    }

    public static random() {
        return CocoonExcelTable[Math.floor(Math.random() * CocoonExcelTable.length)];
    }
}