import MapEntryExcelTable from "../../data/excel/MapEntrance.json";

export default class MapEntrance {
    private constructor() { }

    public static all() {
        return Object.values(MapEntryExcelTable);
    }

    public static fromId(id: number) {
        return MapEntryExcelTable.find(x => x.ID === id);
    }

    public static fromFloorId(id: number) {
        return MapEntryExcelTable.find(x => x.FloorID === id);
    }
}