import MappingInfoExcelTable from "../../data/excel/MappingInfo.json";

export default class MappingInfo {
    private constructor() { }

    public static fromId(id: number, wl: number = 0) {
        const query = MappingInfoExcelTable.find(x => x.ID === id && x.WorldLevel === wl);
        return query || MappingInfoExcelTable.find(x => x.ID === id);
    }

    public static all() {
        return Object.values(MappingInfoExcelTable);
    }

    public static getTeleportPoints(plane: number) {
        return this.all().filter(x => x.PlaneID === plane && x.IsTeleport);
    }
}