import ShopConfigExcelTable from "../../data/excel/ShopConfig.json";

export default class ShopConfig {
    private constructor() { }

    public static all() {
        return Object.values(ShopConfigExcelTable);
    }

    public static fromId(id: number) {
        return ShopConfigExcelTable.find(x => x.ShopID === id);
    }

    public static fromType(type: number) {
        return ShopConfigExcelTable.filter(x => x.ShopType === type);
    }
}