import TrialAdventurePlayerExcelTable from "../../data/excel/TrialAdventurePlayer.json";

export default class TrialAdventurePlayer {
    private constructor() { }

    public static fromId(id: number) {
        return TrialAdventurePlayerExcelTable.find(x => x.TrialPlayerID === id);
    }

    public static all() {
        return Object.values(TrialAdventurePlayerExcelTable);
    }

    public static fromAvatarId(avatarId: number) {
        return TrialAdventurePlayerExcelTable.filter(x => x.PlayerID === avatarId);
    }
}